﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="WebDataGrid.ChangeCellInSecondGrid.Default" %>

<%@ Register Assembly="Infragistics45.Web.v21.1, Version=21.1.20211.4, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics45.Web.v21.1, Version=21.1.20211.4, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>
<html>
<head runat="server">
    <title></title>
    <script>
        function reflectChangeToSecondGrid(sender, eventArgs) {

            const secondGrid = $find("secondWDG");
            let currentCell = eventArgs.get_cell();
            let value = currentCell.get_value();
            let rowIndex = currentCell.get_row().get_index();
            let columnIndex = currentCell.get_column().get_index();

            if (typeof value === "number") value *= 2;
            secondGrid.get_rows().get_row(rowIndex).get_cell(columnIndex).set_value(value);
        }
    </script>
</head>
<body>

    <form id="form" runat="server" style="margin: 0 5rem">
        <div style="display: flex; justify-content: space-around">
            <ig:WebScriptManager ID="wsm" runat="server"></ig:WebScriptManager>
            <ig:WebDataGrid ID="firstWDG" runat="server" Width="35%" AutoGenerateColumns="False" DataKeyFields="id">
                <Columns>
                    <ig:BoundDataField DataFieldName="id" Key="id" Hidden="true">
                        <Header Text="ID">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Text" Key="Text" Width="250px">
                        <Header Text="Text">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Number" Key="Number">
                        <Header Text="Number">
                        </Header>
                    </ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:Activation>
                    </ig:Activation>
                    <ig:EditingCore>
                        <EditingClientEvents CellValueChanged="reflectChangeToSecondGrid" />
                        <Behaviors>
                            <ig:CellEditing>
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                    <ig:Selection>
                    </ig:Selection>
                </Behaviors>
            </ig:WebDataGrid>

            <ig:WebDataGrid ID="secondWDG" runat="server" Width="35%" AutoGenerateColumns="False" DataKeyFields="id">
                <Columns>
                    <ig:BoundDataField DataFieldName="id" Key="id" Hidden="true">
                        <Header Text="ID">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Text" Key="Text" Width="250px">
                        <Header Text="Text">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Number" Key="Number">
                        <Header Text="Number">
                        </Header>
                    </ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:Activation>
                    </ig:Activation>
                    <ig:EditingCore>
                        <Behaviors>
                            <ig:CellEditing>
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                    <ig:Selection>
                    </ig:Selection>
                </Behaviors>
            </ig:WebDataGrid>
        </div>
    </form>
</body>
</html>