﻿using System;
using System.Data;

namespace WebDataGrid.ChangeCellInSecondGrid
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Session["firstDS"] == null || Session["secondDS"] == null)
            {
                Session["firstDS"] = GetFirstDataSource();
                Session["secondDS"] = GetSecondDataSource();
            }
            firstWDG.DataSource = GetFirstDataSource();
            secondWDG.DataSource = GetSecondDataSource();
        }

        public DataTable GetFirstDataSource()
        {
            DataTable dt = new DataTable("Table 1");
            dt.Columns.Add("id");
            dt.Columns.Add("Text");
            dt.Columns.Add("Number");

            dt.Columns["Number"].DataType = Type.GetType("System.Int32");
            DataColumn[] PrimaryKeyColumns = new DataColumn[1];
            PrimaryKeyColumns[0] = dt.Columns["id"];
            dt.PrimaryKey = PrimaryKeyColumns;

            for (int i = 0; i <= 10; i++)
            {
                dt.Rows.Add(new object[] { i, "Lorem ipsum dolor sit amet.", i / 1.2 + 25 });
            }
            return dt;
        }

        public DataTable GetSecondDataSource()
        {
            DataTable dt = new DataTable("Table 2");
            dt.Columns.Add("id");
            dt.Columns.Add("Text");
            dt.Columns.Add("Number");

            dt.Columns["Number"].DataType = Type.GetType("System.Int32");
            DataColumn[] PrimaryKeyColumns = new DataColumn[1];
            PrimaryKeyColumns[0] = dt.Columns["id"];
            dt.PrimaryKey = PrimaryKeyColumns;

            for (int i = 0; i <= 10; i++)
            {
                dt.Rows.Add(new object[] { i, "Lorem ipsum dolor sit amet. (2)", i / 1.2 + 45 });
            }
            return dt;
        }
    }
}